Bug 607204 - vconfig rem causing box hang if recursive vlan tagging is done
vconfig rem causing box hang if recursive vlan tagging is done
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: vconfig (Show other bugs)
2
All Linux
low Severity high
: ---
: ---
Assigned To: Roman Rakus
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-23 09:54 EDT by Mahesh Kumar
Modified: 2014-01-12 19:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-02 17:26:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mahesh Kumar 2010-06-23 09:54:15 EDT
Description of problem:

Linux box is hanging (console & telnet) if try to remove vconfig as listed below.

Linux#vconfig add eth1 86
Added VLAN with VID == 86 to IF -:eth1:-
Linux#ifconfig eth1.86 up
Linux#ifconfig eth1.86 86.0.0.51/8
Linux#ping 86.0.0.51
PING 86.0.0.51 (86.0.0.51) 56(84) bytes of data.
64 bytes from 86.0.0.51: icmp_seq=0 ttl=64 time=0.028 ms
64 bytes from 86.0.0.51: icmp_seq=1 ttl=64 time=0.023 ms

--- 86.0.0.51 ping statistics ---
2 packets transmitted, 2 received, 0% packet loss, time 999ms
rtt min/avg/max/mdev = 0.023/0.025/0.028/0.005 ms, pipe 2

Linux#vconfig add eth1.86 8  <<< Here vlan 8 is assigned to existing vlan 86
Added VLAN with VID == 8 to IF -:eth1.86:-
Linux#vconfig rem eth1.86

Message from syslogd@Linux at Wed Jun 23 05:35:51 2010 ...
Linux kernel: unregister_netdevice: waiting for eth1.86.8 to become free. Usage count = -1

Message from syslogd@Linux at Wed Jun 23 05:36:31 2010 ...
Linux last message repeated 4 times

Message from syslogd@Linux at Wed Jun 23 05:37:32 2010 ...
Linux last message repeated 6 times

Version-Release number of selected component (if applicable):
Linux#uname -a
Linux Linux 2.6.5-1.358smp #1 SMP Sat May 8 09:25:36 EDT 2004 i686 i686 i386 GNU/Linux

Linux#cat /etc/*-release
Fedora Core release 2
LSB_VERSION="1.3"
Fedora Core release 2
Linux#

How reproducible:
Always

Steps to Reproduce:
1. Same as above
2.
3.
  
Actual results:


Expected results:
Should not hang and vlan interface should get Deleted.

Additional info:
Comment 1 Roman Rakus 2010-06-23 10:04:54 EDT
Fedora Core 2 is very outdated. Can you please try any live Fedora (12, 13, rawhide)?
Comment 2 Jeff Raber 2010-07-02 17:26:01 EDT
Thank you for your bug report. 

We are sorry, but the Fedora Project is no longer releasing bug fixes or any other updates for this version of Fedora. This bug will be set to CLOSED:WONTFIX to reflect this, but please reopen it if the problem persists after upgrading to the latest version of Fedora, which is available from: 

http://fedoraproject.org/get-fedora 

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.